#delimit ;

/* 
This code values pensions using the 2010 Survey of Consumer Finances (SCF). It 
also tablulates pension participation rates for several cohorts using the 1992, 
2001, and 2010 installations of the SCF.

In order to run this code you will need the Stata version of the data found on 
the SCF website (http://www.federalreserve.gov/econresdata/scf/scfindex.htm). 
The files names (as of the time this code was written) are:
	p2010i6.dta
	p01i6.dta
	p92i4.dta
	
The files accompanying this should be
	ely2010.do
	ely2001.do
	ely1992.do
	dbval2010.do
	r_aaa_bond_corp.xlsx
	Period_Tables.xlsx
The first three perform the calculations for each survey year. 'dbval2010.do' 
sets auxiliary functions for valuing DB pensions in 2010. It need not be run 
seperately as it is called within 'ely2010.do'. The remaining two files contain
data on interest rates and inflation ('r_aaa_bond_corp.xslx') and life expectancies
(Period_Tables.xslx). The Stata interface functions with these Excel files are
new to Stata 12 and will not work with earlier versions.

In order for the code to run properly, ensure that your current directory is set
to the location of this file.
*/;

clear all;
set maxvar 20000;


* Generate and tabulate pension participation and values for 2010;
do "ely2010.do";
* for 2001;
do "ely2001.do";
* for 1992;
do "ely1992.do";
